For the complete documentation index, see llms.txt. This page is also available as Markdown.

RegCc

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getRegCc

post

Retrieve RegCc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
RegCcBranchintegerRequired
Responses
200

Successful operation.

application/json
post/getRegCc
POST /nexum/627/2022.01/parameter/getRegCc HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 151

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "RegCcBranch": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "RegCc": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getRegCc"
}

getRegCcSelectFields

post

Retrieve RegCc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
RegCcBranchintegerOptional
Responses
200

Successful operation.

application/json
post/getRegCcSelectFields
POST /nexum/627/2022.01/parameter/getRegCcSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 246

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "RegCcBranch": 0,
  "SelectableFields": {
    "RegCcFields": {
      "Branch": true,
      "BranchReference": true,
      "HoldPolicy": true
    }
  }
}
200

Successful operation.

{
  "RegCc": {
    "Branch": 0,
    "BranchReference": 0,
    "HoldPolicy": 0
  },
  "MessageId": "getRegCcSelectFields"
}

getRegCcPagedList

post

Retrieve RegCc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getRegCcPagedList
POST /nexum/627/2022.01/parameter/getRegCcPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "RegCc": [],
  "Token": null,
  "MessageId": "getRegCcPagedList"
}

getRegCcListSelectFields

post

Retrieve RegCc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getRegCcListSelectFields
POST /nexum/627/2022.01/parameter/getRegCcListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 188

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllRegCcFields": true
  }
}
200

Successful operation.

{
  "RegCcList": [],
  "MessageId": "getRegCcListSelectFields"
}

searchRegCcSelectFields

post

Search RegCc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchRegCcSelectFields
POST /nexum/627/2022.01/parameter/searchRegCcSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 226

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllRegCcFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "RegCcList": [],
  "MessageId": "searchRegCcSelectFields"
}

getRegCcPagedListSelectFields

post

Retrieve RegCc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getRegCcPagedListSelectFields
POST /nexum/627/2022.01/parameter/getRegCcPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 309

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "RegCcFields": {
      "Branch": true,
      "BranchReference": true,
      "HoldPolicy": true
    }
  }
}
200

Successful operation.

{
  "RegCc": [
    {
      "Branch": 0,
      "BranchReference": 0,
      "HoldPolicy": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getRegCcPagedListSelectFields"
}

searchRegCcPagedSelectFields

post

Search RegCc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchRegCcPagedSelectFields
POST /nexum/627/2022.01/parameter/searchRegCcPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 320

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "RegCcFields": {
      "Branch": true,
      "BranchReference": true,
      "HoldPolicy": true
    }
  }
}
200

Successful operation.

{
  "RegCc": [
    {
      "Branch": 0,
      "BranchReference": 0,
      "HoldPolicy": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchRegCcPagedSelectFields"
}

updateRegCcByID

post

Update RegCc parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
RegCcBranchintegerOptional
Responses
200

Successful operation.

application/json
post/updateRegCcByID
POST /nexum/627/2022.01/parameter/updateRegCcByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 215

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "RegCcBranch": 1,
  "RegCcUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateRegCcByID"
}

Last updated

Was this helpful?